---
lang: en
title: 'API docs: rest.httphandler.getapidefinitions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.httphandler.getapidefinitions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [HttpHandler](./rest.httphandler.md) &gt; [getApiDefinitions](./rest.httphandler.getapidefinitions.md)

## HttpHandler.getApiDefinitions() method

> Warning: This API is now obsolete.
> 
> Use `getApiComponents`
> 

**Signature:**

```typescript
getApiDefinitions(): {
        [schema: string]: SchemaObject | ReferenceObject;
    } | undefined;
```
**Returns:**

{ \[schema: string\]: SchemaObject \| ReferenceObject; } \| undefined


